<?xml version="1.0" encoding="us-ascii"?>
<!--Generated by Broadridge PROfile 23.2.1.5134 Broadridge-->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:t1="http://xbrl.org/2005/xbrldt">
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#PvpAdjustmentsOnly" />
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#IndividualsOnly" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member" />
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension" />
  <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/IndividualsOnly">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllIndividualsMember" xlink:label="AllIndividualsMember" xlink:title="AllIndividualsMember" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_MrDenaultMember" xlink:label="MrDenaultMember" xlink:title="MrDenaultMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllIndividualsMember" xlink:to="MrDenaultMember" xlink:title="definition: AllIndividualsMember to MrDenaultMember" order="1.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_MrMarshMember" xlink:label="MrMarshMember" xlink:title="MrMarshMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllIndividualsMember" xlink:to="MrMarshMember" xlink:title="definition: AllIndividualsMember to MrMarshMember" order="2.0" />
  </link:definitionLink>
  <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllAdjToCompMember" xlink:label="AllAdjToCompMember" xlink:title="AllAdjToCompMember" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForDeductionForChangeInActuarialPresentValueReportedUnderTheChangeInPensionValueAndNonQualifiedDeferredCompensationEarningsMember" xlink:label="AdjForDeductionForChangeInActuarialPresentValueReportedUnderTheChangeInPensionValueAndNonQualifiedDeferredCompensationEarningsMember" xlink:title="AdjForDeductionForChangeInActuarialPresentValueReportedUnderTheChangeInPensionValueAndNonQualifiedDeferredCompensationEarningsMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForDeductionForChangeInActuarialPresentValueReportedUnderTheChangeInPensionValueAndNonQualifiedDeferredCompensationEarningsMember" xlink:title="definition: AllAdjToCompMember to AdjForDeductionForChangeInActuarialPresentValueReportedUnderTheChangeInPensionValueAndNonQualifiedDeferredCompensationEarningsMember" order="1.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForIncreaseForServiceCostForPensionPlansMember" xlink:label="AdjForIncreaseForServiceCostForPensionPlansMember" xlink:title="AdjForIncreaseForServiceCostForPensionPlansMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForIncreaseForServiceCostForPensionPlansMember" xlink:title="definition: AllAdjToCompMember to AdjForIncreaseForServiceCostForPensionPlansMember" order="2.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForIncreaseForPriorServiceCostForPensionPlansMember" xlink:label="AdjForIncreaseForPriorServiceCostForPensionPlansMember" xlink:title="AdjForIncreaseForPriorServiceCostForPensionPlansMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForIncreaseForPriorServiceCostForPensionPlansMember" xlink:title="definition: AllAdjToCompMember to AdjForIncreaseForPriorServiceCostForPensionPlansMember" order="3.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForIncreaseForPriorServiceCostForPensionPlansDueToPlanAmendmentModificationMember" xlink:label="AdjForIncreaseForPriorServiceCostForPensionPlansDueToPlanAmendmentModificationMember" xlink:title="AdjForIncreaseForPriorServiceCostForPensionPlansDueToPlanAmendmentModificationMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForIncreaseForPriorServiceCostForPensionPlansDueToPlanAmendmentModificationMember" xlink:title="definition: AllAdjToCompMember to AdjForIncreaseForPriorServiceCostForPensionPlansDueToPlanAmendmentModificationMember" order="4.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForDeductionForTheEquityAwardsGrantDateFairValueReportedUnderTheStockAwardsAndOptionAwardsMember" xlink:label="AdjForDeductionForTheEquityAwardsGrantDateFairValueReportedUnderTheStockAwardsAndOptionAwardsMember" xlink:title="AdjForDeductionForTheEquityAwardsGrantDateFairValueReportedUnderTheStockAwardsAndOptionAwardsMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForDeductionForTheEquityAwardsGrantDateFairValueReportedUnderTheStockAwardsAndOptionAwardsMember" xlink:title="definition: AllAdjToCompMember to AdjForDeductionForTheEquityAwardsGrantDateFairValueReportedUnderTheStockAwardsAndOptionAwardsMember" order="5.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForIncreaseForYearEndFairValueOfEquityAwardsGrantedDuringYearThatAreOutstandingAndUnvestedAtYearEndMember" xlink:label="AdjForIncreaseForYearEndFairValueOfEquityAwardsGrantedDuringYearThatAreOutstandingAndUnvestedAtYearEndMember" xlink:title="AdjForIncreaseForYearEndFairValueOfEquityAwardsGrantedDuringYearThatAreOutstandingAndUnvestedAtYearEndMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForIncreaseForYearEndFairValueOfEquityAwardsGrantedDuringYearThatAreOutstandingAndUnvestedAtYearEndMember" xlink:title="definition: AllAdjToCompMember to AdjForIncreaseForYearEndFairValueOfEquityAwardsGrantedDuringYearThatAreOutstandingAndUnvestedAtYearEndMember" order="6.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsGrantedInPriorYearsMember" xlink:label="AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsGrantedInPriorYearsMember" xlink:title="AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsGrantedInPriorYearsMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsGrantedInPriorYearsMember" xlink:title="definition: AllAdjToCompMember to AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfOutstandingAndUnvestedEquityAwardsGrantedInPriorYearsMember" order="7.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForIncreaseDeductionForFairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" xlink:label="AdjForIncreaseDeductionForFairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" xlink:title="AdjForIncreaseDeductionForFairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForIncreaseDeductionForFairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" xlink:title="definition: AllAdjToCompMember to AdjForIncreaseDeductionForFairValueAsOfVestingDateOfEquityAwardsGrantedAndVestedInTheYearMember" order="8.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" xlink:label="AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" xlink:title="AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" xlink:title="definition: AllAdjToCompMember to AdjForIncreaseDeductionForYearOverYearChangeInFairValueOfEquityAwardsGrantedInPriorYearsThatVestedInTheYearMember" order="9.0" />
    <link:loc xlink:type="locator" xlink:href="etr-20230505.xsd#etr_AdjForDeductionForFairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" xlink:label="AdjForDeductionForFairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" xlink:title="AdjForDeductionForFairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" />
    <link:definitionArc xlink:type="arc" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="AllAdjToCompMember" xlink:to="AdjForDeductionForFairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" xlink:title="definition: AllAdjToCompMember to AdjForDeductionForFairValueAtTheEndOfThePriorYearOfEquityAwardsThatFailedToMeetVestingConditionsInTheYearMember" order="10.0" />
  </link:definitionLink>
</link:linkbase>
